Create an initiative
curl --request POST \
--url https://crossproductroadmapbackend.vercel.app/api/v1/initiatives \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--header 'x-tenant-slug: <x-tenant-slug>' \
--data '
{
"title": "<string>",
"subProductId": "<string>",
"statusId": "<string>",
"startQuarter": "2026_01",
"ownerId": "<string>",
"endQuarter": "2026_03",
"classificationId": "<string>",
"notes": "<string>",
"tagIds": [
"<string>"
]
}
'import requests
url = "https://crossproductroadmapbackend.vercel.app/api/v1/initiatives"
payload = {
"title": "<string>",
"subProductId": "<string>",
"statusId": "<string>",
"startQuarter": "2026_01",
"ownerId": "<string>",
"endQuarter": "2026_03",
"classificationId": "<string>",
"notes": "<string>",
"tagIds": ["<string>"]
}
headers = {
"x-tenant-slug": "<x-tenant-slug>",
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {
'x-tenant-slug': '<x-tenant-slug>',
Authorization: 'Bearer <token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
title: '<string>',
subProductId: '<string>',
statusId: '<string>',
startQuarter: '2026_01',
ownerId: '<string>',
endQuarter: '2026_03',
classificationId: '<string>',
notes: '<string>',
tagIds: ['<string>']
})
};
fetch('https://crossproductroadmapbackend.vercel.app/api/v1/initiatives', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"title": "<string>",
"notes": "<string>",
"startQuarter": "2026_Q1",
"endQuarter": "2026_Q3",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"status": {
"id": "<string>",
"name": "<string>",
"color": "<string>"
},
"subProduct": {
"id": "<string>",
"name": "<string>",
"product": {
"id": "<string>",
"name": "<string>"
}
},
"classification": {
"id": "<string>",
"name": "<string>",
"color": "<string>"
},
"user": {
"id": "<string>",
"name": "<string>",
"email": "<string>"
},
"tags": [
{
"tag": {
"id": "<string>",
"name": "<string>"
}
}
]
}{
"error": "<string>"
}{
"error": "<string>"
}Initiatives
Create Initiative
POST
/
initiatives
Create an initiative
Authorizations
ApiKeyAuthOAuthBearer
Generate an API key in your workspace Settings → API Keys. Pass it as Authorization: Bearer tab_<key> on every request.
Headers
Your workspace slug (e.g. acme).
Body
application/json
Maximum string length:
200Period key from GET /timeframes
Example:
"2026_01"
Required. User ID from GET /users.
Period key from GET /timeframes
Example:
"2026_03"
Response
Created
Example:
"2026_Q1"
Example:
"2026_Q3"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Assigned owner
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I